//
//  BallViewController.m
//  Ball
//
//  Created by F Permadi on 4/29/09.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "BallViewController.h"
#import "Ball.h"
#import "SoundEffect.h"

@implementation BallViewController
@synthesize mBallArray;


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];		

	NSBundle *pMainBundle = [NSBundle mainBundle];
	
	mBallArray = [[NSMutableArray alloc] init];
	UIImage* image1=[UIImage imageNamed:@"ball1.png"];
	UIImage* image2=[UIImage imageNamed:@"ball2.png"];
	SoundEffect* sound1=[[SoundEffect alloc] initWithContentsOfFile:[pMainBundle pathForResource:@"ding1" ofType:@"caf"]];				
	SoundEffect* sound2=[[SoundEffect alloc] initWithContentsOfFile:[pMainBundle pathForResource:@"ding2" ofType:@"mp3"]];				
	
	int i;	
	for (i = 0; i < 10; i++) 
	{ 
		UIImage* image;
		SoundEffect* sound;
		if ((i%2)==0)
		{
			image=image1;
			sound=sound1;
		}
		else 
		{
			image=image2;
			sound=sound2;
		}
		Ball* ball=[[Ball alloc] initWithImage:image];
		[mBallArray addObject:ball];
		[self.view addSubview:ball];
		int speed=random() % 10;
		
		[ball setSpeedX:speed Y:speed];
		[ball setSoundEffect:sound];
		ball.center=self.view.center;	
	}
	
	[NSTimer scheduledTimerWithTimeInterval:1.0/30.0 target:self selector:@selector(moveBall) userInfo:nil repeats:YES];		
}

-(void)moveBall
{
	int i;
	int numberOfBalls=[mBallArray count];
	for (i = 0; i <numberOfBalls; i++) 
	{ 
		Ball* ball=[mBallArray objectAtIndex:i]; 	
		[ball move];
	}
}

- (void)dealloc {
    [super dealloc];
	int i;
	int numberOfBalls=[mBallArray count];
	for (i = 0; i <numberOfBalls; i++) 
	{ 
		Ball* ball=[mBallArray objectAtIndex:i]; 
		//[mBallArray removeObject:ball];		
		[ball dealloc];
	}
	
	[mBallArray dealloc];
}

@end


